org.jboss.resteasy.core.registry

## Class SegmentNode

- java.lang.Object
- - org.jboss.resteasy.core.registry.SegmentNode

-     public class SegmentNode
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SegmentNode.Match`
    `protected class` | `SegmentNode.SortEntry`
    `static class` | `SegmentNode.SortFactor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,SegmentNode>` | `children`
    `static List<MediaType>` | `DEFAULT_ACCEPTS`
    `static String` | `RESTEASY_CHOSEN_ACCEPT`
    `protected String` | `segment`
    `protected List<MethodExpression>` | `targets`
    `static MediaType[]` | `WILDCARD_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegmentNode(String segment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addExpression(MethodExpression expression)`
    `static SegmentNode.SortFactor` | `createSortFactor(MediaType client, MediaType server)`
    `ResourceInvoker` | `match(HttpRequest request, int start)`
    `SegmentNode.Match` | `match(List<SegmentNode.Match> matches, String httpMethod, HttpRequest request)`
    `void` | `potentials(String path, int start, List<MethodExpression> matches)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESTEASY_CHOSEN_ACCEPT

          public static final String RESTEASY_CHOSEN_ACCEPT

      See Also:
        Constant Field Values

    - #### WILDCARD_ARRAY

          public static final MediaType[] WILDCARD_ARRAY

    - #### DEFAULT_ACCEPTS

          public static final List<MediaType> DEFAULT_ACCEPTS

    - #### segment

          protected String segment

    - #### children

          protected Map<String,SegmentNode> children

    - #### targets

          protected List<MethodExpression> targets

  - ### Constructor Detail

    - #### SegmentNode

          public SegmentNode(String segment)

  - ### Method Detail

    - #### match

          public ResourceInvoker match(HttpRequest request,
                              int start)

    - #### potentials

          public void potentials(String path,
                        int start,
                        List<MethodExpression> matches)

    - #### createSortFactor

          public static SegmentNode.SortFactor createSortFactor(MediaType client,
                                                MediaType server)

    - #### match

          public SegmentNode.Match match(List<SegmentNode.Match> matches,
                                String httpMethod,
                                HttpRequest request)

    - #### addExpression

          protected void addExpression(MethodExpression expression)

Copyright © 2014. All Rights Reserved.